Python 3 en Enthought Canopy

Cómo usar Python 3 en el Dosel Enthought? Tiene la opción en la parte inferior para seleccionar Python 3, pero esto no cambia nada cuando utilizamos:

print(sys.version)
2.7.3 | 32-bit | (default, Mar 25 2013, 15:38:39) [MSC v.1500 32 bit (Intel)]
$ python3 myscript.py es un comando específico para llamar al script con si usted todavía tiene 2.7 en su sistema.
Esto no funciona dentro de Enthought. El problema es que no puedo construir numpy para python 3.3 en esta organización del equipo. Canopy Enthought funciona, pero mi guión fue escrito en 3.3.
Yo he venido aquí a hacer esta misma pregunta. No hay manera de usar Python 3 dentro de Dosel entonces?
Me dio para arriba en él… La razón por la que quería usar era porque no podía conseguir Python 3.3 para trabajar en el medio ambiente. Desde que me fijo allí, se convirtió en obsoleta a mi causa.
Empecé una recompensa, porque para mí es importante el uso de Python 3 dentro de Dosel. Me gustaría tener una respuesta, incluso si es «no, usted no puede».

OriginalEl autor PascalVKooten | 2013-04-22

3 Kommentare

  1. 0

    como se puede ver en https://www.enthought.com/products/canopy/package-index/ la mayoría de los(o algunos) paquetes que el Dosel de los usos son sólo python-2.x compatible, por tanto, en cuyo caso si usted está tratando de utilizar un anticuado módulo dentro del Dosel esto hace que el Dosel de estabilizar y así termina hasta que no se trabaje en python 3.el entorno x

    OriginalEl autor K DawG

  2. 0

    Dosel ahora apoya no sólo en Python 3, pero la conmutación entre múltiples Python 2.7 y 3.x ambientes.

    Desde el artículo de knowledge base:
    «En el Dosel 2.1, conectado a internet a los usuarios (y a todos los usuarios de la Enthought Servidor de Implementación) puede crear, administrar y cambiar entre múltiples Python 2.7 y 3.5 entornos, con diferentes entornos, con diferentes conjuntos de paquetes. Cuando se cambia a un determinado ambiente Python en el Dosel de la 2.1, que se utiliza en todo Marquesina, en el Gestor de Paquetes, Editor de Python panel, Depurador, Importación de Datos de la Herramienta, Jupyter Notebook, y el Dosel de la línea de Comandos o Terminal».

    https://support.enthought.com/hc/en-us/articles/115002376586-Canopy-2-1-Managing-and-switching-between-Python-2-7-and-3-5-environments

    «no sólo» como si ellos hicieron un buen trabajo…. estamos hablando de 5 años más tarde 😉

    OriginalEl autor EdTech

Kommentieren Sie den Artikel

Bitte geben Sie Ihren Kommentar ein!
Bitte geben Sie hier Ihren Namen ein

Pruebas en línea